Skip to main content
GET
/
test_framework
/
v1
/
metrics
cURL
curl --request GET \
  --url https://api.cekura.ai/test_framework/v1/metrics/ \
  --header 'X-CEKURA-API-KEY: <api-key>'
[
  {
    "id": 123,
    "agent": 123,
    "name": "<string>",
    "description": "<string>",
    "function_name": "<string>",
    "type": "basic",
    "eval_type": "binary_workflow_adherence",
    "enum_values": [
      "<string>"
    ],
    "audio_enabled": true,
    "observability_enabled": true,
    "simulation_enabled": true,
    "prompt": "<string>",
    "evaluation_trigger": "always",
    "evaluation_trigger_prompt": "<string>",
    "priority_assignment_prompt": "<string>",
    "vocera_defined_metric_code": "<string>",
    "configuration": {
      "infra_issues_timeout": "<integer>",
      "key": "value"
    },
    "kb_file_ids": [
      "<integer>"
    ],
    "knowledge_base_files": [
      {
        "id": "<integer>",
        "agent": "<integer>",
        "file_url": "<string>",
        "file_name": "<string>",
        "file_type": "<string>",
        "file_size": "<integer>",
        "created_at": "<datetime>",
        "updated_at": "<datetime>"
      }
    ],
    "metric_cost": "<float>"
  }
]

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Query Parameters

agent_id
integer

Filter by agent ID Example: 123

project_id
integer

Filter by project ID Example: 456

assistant_id
string

Filter by assistant ID Example: asst_1234567890

agents
string

Filter metrics by agent IDs. Supports comma-separated list. Example: 1,2,3 to filter metrics associated with any of these agents

filters
object

JSON filter parameter for advanced filtering.

Example:

{"operator":"and","conditions":[{"field":"agents__id","op":"in","value":[1,2,3]}]}

Supported fields: agents__id, eval_type, type, name Supported operators: in, eq, contains

include_scores
boolean

Include Overall and Total scores in Metric List Example: true or false

Response

200 - application/json
id
integer
project
integer | null
agent
integer | null
agent_name
string

Name of the AI agent that was tested Example: "Test Agent 1"

agents
(integer | null)[]
agent_names
string
name
string

Name of the metric. Example: "Customer Satisfaction" or "Appointment Booking"

Maximum string length: 255
description
string

Description of what the metric measures. Example: "Measures how satisfied customers are with the service provided"

function_name
string | null

Predefined function name Example: "get_latency" or "check_critical_deviations"

Maximum string length: 255
type
enum<string>

Type of metric

  • basic - Basic (Deprecated in favor of LLM Judge)
  • custom_prompt - Custom Prompt ( Deprecated in favor of LLM Judge)
  • custom_code - Custom Code
  • llm_judge - LLM Judge
Available options:
basic,
custom_prompt,
custom_code,
llm_judge
eval_type
enum<string>

Type of evaluation

  • binary_workflow_adherence - Binary Workflow Adherence
  • binary_qualitative - Binary Qualitative
  • continuous_qualitative - Continuous Qualitative
  • numeric - Numeric
  • enum - Enum
Available options:
binary_workflow_adherence,
binary_qualitative,
continuous_qualitative,
numeric,
enum
enum_values
any

List of possible enum values for enum type metrics. Example: ["satisfied", "unsatisfied"]

audio_enabled
boolean

Whether this metric requires audio analysis. Example: true or false

observability_enabled
boolean

Enable this metric for observability. Example: true or false

simulation_enabled
boolean

Enable this metric for simulations. Example: true or false

sampling_enabled
boolean

Enable sampling for this metric using project-level sample rate

prompt
string

Evaluation prompt for the metric. Example: "Evaluate customer satisfaction based on conversation"

display_order
integer

Display order for the metric. Example: 1

Required range: -2147483648 <= x <= 2147483647
evaluation_trigger
enum<string>
  • always - Always
  • automatic - Automatic
  • custom - Custom
Available options:
always,
automatic,
custom
trigger_type
enum<string>
default:llm_judge
  • llm_judge - LLM Judge
  • custom_code - Custom Code
Available options:
llm_judge,
custom_code
evaluation_trigger_prompt
string

Evaluation trigger prompt for the metric. Example: "Evaluate metric only if call ended reason is main-agent-ended-call"

evaluation_trigger_custom_code
string

Python custom code to determine metric relevance. Code should set _result (bool) and _explanation (str). Example:

_result = True
_explanation = "Metric is relevant"
if "call_end_reason" in data and data["call_end_reason"] == "customer-hung-up":
_result = False
_explanation = "Customer hung up, metric not applicable"
priority_assignment_prompt
string

Priority assignment prompt for the metric.

vocera_defined_metric_code
string

Vocera defined metric code for the metric. Example: "7fd534f5"

Maximum string length: 255
configuration
any

Custom configuration parameters for specific metrics if metric supports it. Example:

  • For Infrastructure issues
{
"infra_issues_timeout": 10
}
kb_file_ids
integer[]

List of knowledge base file IDs for the metric. Example: [123, 456]

knowledge_base_files
object[]
metric_cost
number<double>

Metric Cost Example: 0.10

alert_type
enum<string>
default:disabled
  • disabled - Alerts Disabled
  • normal - Normal Alerts
  • significant_change - Significant Change Alerts
Available options:
disabled,
normal,
significant_change
significant_change_alert_status
enum<string>

Alert status: enabled or disabled.

  • enabled - Enabled
  • disabled - Disabled
Available options:
enabled,
disabled
significant_change_alert_direction
enum<string>

Alert direction: increase only, decrease only, or both (empty = both). Example: "increase", "decrease", or "both"

  • `` - Both (Increase and Decrease)
  • increase - Increase Only
  • decrease - Decrease Only
Available options:
,
increase,
decrease
window_size
integer

Window size for rolling statistics calculation. Example: 50

std_multiplier
number<double>

Standard deviation multiplier for threshold calculation. Example: 2.0

ewma_alpha
number<double>

Alpha value for exponentially weighted moving average (EWMA) calculation. Example: 0.1

add_to_new_agents
boolean | null

When enabled, this metric is automatically assigned to new agents created in the project.